Skip to main content
POST
/
api
/
v2
/
liquidity
/
utilization
/
upload-proof-of-funds
/
{withdrawalRequestId}
Upload Proof of Funds
curl --request POST \
  --url https://api.mansafinance.co/api/v2/liquidity/utilization/upload-proof-of-funds/{withdrawalRequestId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form file='@example-file'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "file_name": "<string>",
  "file_size": 123,
  "mime_type": "<string>",
  "recorded_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Authorization
string
header
required

JWT token following RFC001 specification

Path Parameters

withdrawalRequestId
string<uuid>
required

ID of the withdrawal request

Body

multipart/form-data
file
file
required

The proof-of-funds document to upload.

Response

Proof of funds uploaded successfully

id
string<uuid>
url
string

URL to access the uploaded document

file_name
string
file_size
integer

Size in bytes

mime_type
string
recorded_at
string<date-time>